/**
 * JASMINe
 * Copyright (C) 2011 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JmxConnectionFactory.java 8561 2011-07-19 12:54:15Z durieuxp $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.probe.jmxconnection;

import javax.management.MBeanServerConnection;

public interface JmxConnectionFactory {

    /**
     * Close the Factory:
     * Not use any longer: release resources.
     *
     * @throws JmxConnectionException Cannot close the Connector
     */
    void close() throws JmxConnectionException;

    /**
     * Get a MBeanServerConnection
     *
     * @return the MBeanServerConnection
     * @throws JmxConnectionException Connection could not be established
     */
    MBeanServerConnection getMBeanServerConnection() throws JmxConnectionException;
}
